# List projects

Retrieves the information of the projects.

Endpoint: GET /v1/orgs/{org}/projects
Version: 1.0
Security: x-api-key

## Path parameters:

  - `org` (string, required)
    Identifier field of the organization the resource is scoped to

## Query parameters:

  - `project` (array)
    Identifier field of the projects the resource is scoped to

  - `has_module` (boolean)
    This boolean specifies whether to filter projects which has the module of type passed in the moduleType parameter or not

  - `module_type` (string)
    Project's module type

  - `only_favorites` (boolean)
    Enable this field to fetch only the entities that are marked as favorites.

  - `search_term` (string)
    This would be used to filter resources having attributes matching with search term.

  - `page` (integer)
    Pagination page number strategy: Specify the page number within the paginated collection related to the number of items in each page

  - `limit` (integer)
    Number of items to return per page.

  - `sort` (string)
    Parameter on the basis of which sorting is done.
    Enum: "name", "identifier", "created", "updated"

  - `order` (string)
    Order on the basis of which sorting is done.
    Enum: "ASC", "DESC"

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to. This is required for Authorization methods other than the x-api-key header. If you are using the x-api-key header, this can be skipped.

## Response 200 fields (application/json):

  - `project` (object)
    Project model

  - `project.identifier` (string, required)
    Project identifier

  - `project.name` (string, required)
    Project name

  - `project.org` (string)
    Organization identifier for the project

  - `project.color` (string)
    Project color

  - `project.modules` (array)
    List of modules for project
    Enum: "CD", "CI", "CV", "CF", "CE", "STO", "CORE", "PMS", "TEMPLATESERVICE", "GOVERNANCE", "CHAOS", "CET", "IDP", "SSCA", "SEI", "CODE", "HAR"

  - `project.description` (string)
    Project description

  - `project.tags` (object)
    Project tags

  - `created` (integer)
    Creation timestamp for the project

  - `updated` (integer)
    Updated timestamp for the project

  - `isFavorite` (boolean)
    True if its your favorite project


